function [imdir, labeldir] = gettestdir(rootim,roottruth)

scenedir = bodir(rootim);
truthdir = bodir(roottruth);

imdir = {};
labeldir = {};
it = 0;
for i = 1:length(scenedir)
    subscenedir = bodir([rootim scenedir(i).name]);
    subtruthdir = bodir([roottruth truthdir(i).name]);
    for j = 1:length(subscenedir)
        it = it + 1;
        imdir{it} = [rootim scenedir(i).name '/' subscenedir(j).name '/'];
        labeldir{it} = [roottruth truthdir(i).name '/' subtruthdir(j).name];
    end
end

